Bug 1414422 - Incomplete information about --riskcheck parameter
Summary: Incomplete information about --riskcheck parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 12:58 UTC by Tereza Cerna
Modified: 2017-03-21 12:10 UTC (History)
2 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:10:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Comment 2 Michal Bocek 2017-02-09 00:14:12 UTC
Added information about it to both man and help.
Change prepared in upstream:
https://github.com/upgrades-migrations/preupgrade-assistant/pull/219

Comment 4 Alois Mahdal 2017-03-10 04:10:48 UTC
preupgrade-assistant-2.3.3-1.el6:

The --riskcheck option now has detailed description, both in man page and --help text:

      --riskcheck           Return the highest reported level of risk or result
                            related to system upgrade. Run Preupgrade Assistant
                            first - assessment of the system needs to be performed
                            before using this option. When this option is used in
                            concert with --verbose option, summary of the risks
                            are printed to STDOUT. If the --verbose option is used
                            once, just HIGH and EXTREME risks are printed. If it
                            is used twice, all the risks are printed.
                            Return codes:
                            0 ... SLIGHT or MEDIUM risk or needs_inspection,
                            fixed, informational, not_applicable, not_selected,
                            not_checked or pass result.
                            1 ... HIGH risk or needs_action result.
                            2 ... EXTREME risk or error or fail result.

Comment 6 errata-xmlrpc 2017-03-21 12:10:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.